Manual do PHP
Anterior |  | Próxima

# finfo_open

(PECL)

finfo_open -- Create a new fileinfo resource

## Descrição

resource finfo_open ( [int options [, string arg]] )
class finfo {
__construct ( [int options [, string magic_file]] )
}

This function opens a magic database and returns its resource.

## Parâmetros

`options`

  One or disjunction of more Fileinfo constants.

`magic_file`

  Name of a magic database file, usually something like `/path/to/magic.mime`. If not specified, `MAGIC` environment variable is used. If this variable is not set neither, `/usr/share/misc/magic` is used. `.mime` and/or `.mgc` is added if appropriate.

## Valores de retornado

Returns a magic database resource on success or `FALSE` on failure.

## Veja também

finfo_close()

Anterior | Principal | Próxima
finfo_file | Acima | finfo_set_flags